VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DebugUtilsLabelEXT (const char *pLabelName_=nullptr, std::array< float, 4 > const &color_={ { 0, 0, 0, 0 } })
| DebugUtilsLabelEXT (VkDebugUtilsLabelEXT const &rhs)
DebugUtilsLabelEXT & | operator= (VkDebugUtilsLabelEXT const &rhs)
DebugUtilsLabelEXT & | setPNext (const void *pNext_)
DebugUtilsLabelEXT & | setPLabelName (const char *pLabelName_)
DebugUtilsLabelEXT & | setColor (std::array< float, 4 > color_)
| operator VkDebugUtilsLabelEXT const & () const
| operator VkDebugUtilsLabelEXT & ()
bool | operator== (DebugUtilsLabelEXT const &rhs) const
bool | operator!= (DebugUtilsLabelEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
const char * | pLabelName
float | color [4]

## Private Attributes

StructureType | sType = StructureType::eDebugUtilsLabelEXT

## Detailed Description

Definition at line 17386 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DebugUtilsLabelEXT() [1/2]

VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::DebugUtilsLabelEXT | ( | const char * | pLabelName_ = `nullptr`,
|  | std::array< float, 4 > const & | color_ = `{ { 0, 0, 0, 0 } }`
| ) |  |

inline

Definition at line 17388 of file vulkan.hpp.

{ { 0, 0, 0, 0 } } )
: pLabelName( pLabelName_ )
{
memcpy( &color, color_.data(), 4 * sizeof( float ) );
}

## DebugUtilsLabelEXT() [2/2]

VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::DebugUtilsLabelEXT | ( | VkDebugUtilsLabelEXT const & | rhs | ) |

inline

Definition at line 17395 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugUtilsLabelEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkDebugUtilsLabelEXT &()

VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::operator VkDebugUtilsLabelEXT & | ( |  | ) |

inline

Definition at line 17428 of file vulkan.hpp.

{
return *reinterpret_cast<VkDebugUtilsLabelEXT*>(this);
}

## operator VkDebugUtilsLabelEXT const &()

VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::operator VkDebugUtilsLabelEXT const & | ( |  | ) | const

inline

Definition at line 17423 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDebugUtilsLabelEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::operator!= | ( | DebugUtilsLabelEXT const & | rhs | ) | const

inline

Definition at line 17441 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DebugUtilsLabelEXT& VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::operator= | ( | VkDebugUtilsLabelEXT const & | rhs | ) |

inline

Definition at line 17400 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugUtilsLabelEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::operator== | ( | DebugUtilsLabelEXT const & | rhs | ) | const

inline

Definition at line 17433 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( pLabelName == rhs.pLabelName )
&& ( memcmp( color, rhs.color, 4 * sizeof( float ) ) == 0 );
}

References color, pLabelName, pNext, and sType.

Referenced by operator!=().

## setColor()

DebugUtilsLabelEXT& VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::setColor | ( | std::array< float, 4 > | color_ | ) |

inline

Definition at line 17417 of file vulkan.hpp.

{
memcpy( &color, color_.data(), 4 * sizeof( float ) );
return *this;
}

References memcpy.

## setPLabelName()

DebugUtilsLabelEXT& VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::setPLabelName | ( | const char * | pLabelName_ | ) |

inline

Definition at line 17411 of file vulkan.hpp.

{
pLabelName = pLabelName_;
return *this;
}

References pLabelName.

## setPNext()

DebugUtilsLabelEXT& VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 17405 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## color

float VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::color[4]

Definition at line 17452 of file vulkan.hpp.

Referenced by operator==().

## pLabelName

const char* VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::pLabelName

Definition at line 17451 of file vulkan.hpp.

Referenced by operator==(), and setPLabelName().

## pNext

const void* VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::pNext = nullptr

Definition at line 17450 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::sType = StructureType::eDebugUtilsLabelEXT

private

Definition at line 17447 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::pLabelName
const char * pLabelName
Definition: vulkan.hpp:17451
VkDebugUtilsLabelEXT
Definition: vulkan_core.h:7434
VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::operator==
bool operator==(DebugUtilsLabelEXT const &rhs) const
Definition: vulkan.hpp:17433
VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::pNext
const void * pNext
Definition: vulkan.hpp:17450
color
GLuint color
Definition: SDL_opengl_glext.h:1148
VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::DebugUtilsLabelEXT
DebugUtilsLabelEXT(const char *pLabelName_=nullptr, std::array< float, 4 > const &color_={ { 0, 0, 0, 0 } })
Definition: vulkan.hpp:17388
VULKAN_HPP_NAMESPACE::DebugUtilsLabelEXT::sType
StructureType sType
Definition: vulkan.hpp:17447